package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 产品报废
 * </p>
 *
 * @author zjw
 * @since 2021-07-30
 */

@TableName("Z_SFC_SCRAP")

public class SfcScrap extends Model<SfcScrap> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 数量
     */
   @TableField("QTY")
   private Double qty;
    /**
     * 类型（用，分割）
     */
   @TableField("TYPE")
   private String type;
    /**
     * 废品原因
     */
   @TableField("REASON")
   private String reason;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   @TableField("DUTY_USER")
   private String dutyUser;




   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public Double getQty() {
      return qty;
   }

   public void setQty(Double qty) {
      this.qty = qty;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getReason() {
      return reason;
   }

   public void setReason(String reason) {
      this.reason = reason;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getDutyUser() {
      return dutyUser;
   }

   public void setDutyUser(String dutyUser) {
      this.dutyUser = dutyUser;
   }

   public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String STEP_ID = "STEP_ID";

public static final String QTY = "QTY";

public static final String TYPE = "TYPE";

public static final String REASON = "REASON";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcScrap{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", qty = " + qty +
         ", type = " + type +
         ", reason = " + reason +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}